@import "solidify-frontend/lib/core/components/presentationals/abstract-form/abstract-form.presentational";
@import "abstracts/abstracts";

:host {
  form {
    .header {
      display: grid;
      grid-template-columns: max-content max-content;
      justify-content: space-between;

      @include respond-to-smaller-than-breakpoint('lg') {
        grid-template-columns: 1fr;
      }

      .org-unit {
        font-size: 20px;
        padding-bottom: 18px;
        white-space: nowrap;

        @include respond-to-smaller-than-breakpoint('md') {
          display: flex;
          flex-direction: column;
        }

        .label {
          color: $label-disable;
          font-size: 16px;
        }

        .name {
          color: $text-color;
          font-weight: bold;
          @include truncate-with-ellipsis;
        }
      }
    }

    .author-wrapper {
      display: flex;
      flex-direction: column;

      .author-wrapper-firstline {
        display: flex;
        align-items: baseline;

        @include respond-to-breakpoint("xs") {
          flex-wrap: wrap;
        }

        .input {
          width: 100%;
        }

        .author-extra-buttons {
          display: flex;
          flex-direction: column;
          justify-content: center;
        }
      }

      .author-add-me-wrapper {
        text-align: right;
        margin-bottom: 20px;
      }
    }

    .identifiers {
      display: grid;

      .hide-component {
        display: none !important;
      }

      .ark-wrapper,
      .doi-wrapper {
        display: grid;
        order: 1;

        &.is-main-identifier {
          order: 0;
        }

        .ark,
        .doi {

          &.is-disabled {
            pointer-events: none;
          }

          &:not(.is-disabled) {
            cursor: pointer;
          }

          ::ng-deep .mat-input-element {
            cursor: pointer;
            pointer-events: none; // allow to fix firefox issue : ignore click on input disabled
          }

          .inactive-doi {
            color: $warning;
          }

          .ark-button,
          .doi-button {
            .icon {
              &.not-available {
                filter: grayscale(100%);
              }
            }
          }
        }
      }
    }

    .section ::ng-deep .content {
      padding: 20px 0;
      display: grid;

      .line {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-gap: 0 20px;

        .mat-form-field {
          min-width: 100px;
        }

        @include respond-to-smaller-than-breakpoint("md") {
          grid-template-columns: 1fr;
        }
      }
    }

    .publication-date-wrapper,
    .access-level-wrapper,
    .data-use-policy-wrapper {
      display: grid;
      grid-template-columns: min-content 1fr;
      grid-gap: 10px;
      align-items: center;

      .icon {
        position: relative;
        top: -8px;
      }
    }

    .dua-wrapper {
      display: grid;
      grid-template-columns: min-content 1fr;
      grid-gap: 0 10px;
      align-items: center;

      .dua-icon,
      .dua-buttons-wrapper {
        position: relative;
        top: -8px;
      }

      .dua-type-input {
        min-width: 60px;
      }

      .dua-buttons-wrapper {
        display: grid;
        align-items: center;
        grid-auto-flow: column;

        .load-dua-file-button {
          .hide {
            display: none;
          }
        }

        .spinner {
          width: 40px;
        }
      }
    }

    .dua-file-upload {
      margin-bottom: 20px;

      &.hide {
        display: none;
      }
    }

    .is-embargo {
      display: block;
      margin-bottom: 25px;

      &.is-checked {
        margin-bottom: 10px;
      }
    }

    .structure-content-public {
      display: block;
      margin-bottom: 25px;
    }

    .submission-policy-wrapper {
      display: grid;
      align-items: center;
      justify-content: space-between;
      grid-template-columns: 1fr max-content;

      .buttons-wrapper {
        display: grid;
        align-items: center;
        justify-content: space-between;
        grid-template-columns: 1fr 1fr;
        margin-bottom: 18px;
        margin-left: 10px;
      }
    }
  }
}

@include isInDarkMode {
  form {
    .header {
      .org-unit {
        .label {
          color: $dark-mode-text-disabled;
        }

        .name {
          color: $dark-mode-text-color;
        }
      }
    }
  }
}
